/**
 * Copyright © 2019, Oracle and/or its affiliates. All rights reserved.
 *
 * Licensed under the Universal Permissive License v 1.0 as shown at
 * http://oss.oracle.com/licenses/upl
 *
 */
#ifndef STRINGSET_H
#define STRINGSET_H
struct stringset;
struct stringset *mk_stringset(void);
struct stringset *stringset_destroy(struct stringset *stringset);
int stringset_contains(const struct stringset *stringset, const char *string);
void stringset_insert(struct stringset *stringset, const char *string);
#endif
