/**
 * Copyright © 2019, Oracle and/or its affiliates. All rights reserved.
 *
 * Licensed under the Universal Permissive License v 1.0 as shown at
 * http://oss.oracle.com/licenses/upl
 *
 */
extern const char gitrev[];
// #define VERSION is in the makefile
static const char VERSION_HISTORY[] =
        "Version 1.49 Fixed 64GB file size limit bug.\n"
        "Version 1.48 Improve diagostics when opendir fails.\n"
        "Version 1.47 Added %{vendor} and %{group} to RPM spec.\n"
        "Version 1.46 Replaced support e-mail with official alias.\n"
        "Version 1.45 Minor documentation fixes and cleanups.\n"
        "Version 1.44 License and Copyright notice iin every source file.\n"
        "Version 1.43 handle setuid and setgid in parcp.\n"
        "Version 1.42 got rid of puntar in the the RPM spec.\n"
        "Version 1.41 partar handles read-only file in destination directory.  Also partar is valgrind-clean.\n"
        "Version 1.40 get rid of puntar.  Long live partar.\n"
        "Version 1.39 handle read-only files in destination.\n"
        "Version 1.38 remove apache license.\n"
        "Version 1.37 parcp had more bad interaction between --delete and --exclude-from.\n"
        "Version 1.36 parcp had a bad interaction between --delete and --exclude-from.\n"
        "Version 1.35 parcp has --exclude-from.\n"
        "Version 1.34 added license files to RPMs.\n"
        "Version 0.33 accept mtime==0 when partar is creating a tarball.\n"
        "Version 0.32 spelling error in parcp --help.\n"
        "Version 0.31 parcp doesn't try to delete .snapshot.\n"
        "Version 0.30 parcp now supports --delete.\n"
        "Version 0.29 parcp now is similar to rsync -raxH.   There's a command line argument to turn those features on but they are on by default anyway for now with no way to turn them off.\n"
        "Version 0.28 Fixed gitrev insertion in RPM builds.\n"
        "Version 0.27 Honor umask for implicitly created dirs even when /proc/self/status doesn't give umask. Also less work on fdleak when rlim_cur is large.\n"
        "Version 0.26 honor umask when creating directories that are a prefix of a filename but not otherwise explicitly mentioned.\n"
        "Version 0.25 partar improved error messages if the input is compressed without providing for decompression.\n"
        "Version 0.24 parcp improves error handling and messages for argument pathnames.\n"
        "Version 0.23 rename puntar binary to partar.   Keep the puntar version around for now, so as to not break people's scripts.  Eventually we'll get rid of puntar.\n"
        "Version 0.22 don't complain chown or chmod fails (undo 0.21 and go further).  Also don't build man pages if no help2man is present (but don't crash the build)\n"
        "Version 0.21 better diagnostics when chown fails\n"
        "Version 0.20 better permissions preservation (for directories) rpm package doesn't require pv.\n"
        "Version 0.19 better permissions and mtime preservation.\n"
        "Version 0.18 RPM name changed to fss-parallel-tools.\n"
        "Version 0.17 --help and --version go to stdout now to make OL6.x happy.\n"
        "Version 0.16 --exclude option to x option.\n"
        "Version 0.15 improved error diagonstics.\n"
        "Version 0.14 --exclude  option to c option.\n"
        "Version 0.13 unlink in parallel in the same directory (is this better than 0.12?).\n"
        "Version 0.12 parrm fails gracefully in the face of permissions trouble.\n"
        "Version 0.11 Improve make rules for manual pages.\n"
        "Version 0.10 Include manual pages.\n"
        "Version 0.9 Parallel tar (so now \"puntar cf foo.tar foo/\" works).\n"
        "Version 0.8 Separate out parallel scheduler from the code.\n"
        "Version 0.7 Add help for parrm and parcp.  Add -P argument to parrm.  Clean up the makefile.\n"
        "Version 0.6 Include parrm and parcp.\n"
        "Version 0.5 Handle FIFO's.\n"
        "Version 0.4 rpm packaging, and make it compile on OEL6 and FC27.\n"
        "Version 0.3 Don't use too much memory when extracting a large file.  Provide --progress.\n"
        "Version 0.2 Cleanup.\n"
        "Version 0.1 Delivered (1h4m reported) 1b39e0d817390bde5a880e614ae7dc54965e5d23.\n"
;
